<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('mail_profiles', function (Blueprint $table) {
            $table->jsonb('signature')->nullable()->after('priority');
        });
    }

    public function down(): void
    {
        Schema::table('mail_profiles', function (Blueprint $table) {
            $table->dropColumn('signature');
        });
    }
};
